Ticket #30663

起動スクリプトでエラーがあっても終了しないようにする

Open Date: 2013-02-02 13:00 Last Update: 2013-02-17 18:30

Reporter:
Owner:
Status:
Closed
Component:
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Details

~/.yash_profile や ~/.yashrc の読み込み中に構文エラー (やその他の重大なエラー) があっても、シェルを終了しないようにする (非対話モード時)。スクリプトにミスがあった場合にログインできなくなってしまうのを防ぐため。

(他のシェルに同様の機能があるか調べる)

Ticket History (3/4 Histories)

2013-02-02 13:00 Updated by: magicant
  • New Ticket "起動スクリプトでエラーがあっても終了しないようにする" created
2013-02-02 13:03 Updated by: magicant
  • Details Updated
2013-02-03 01:26 Updated by: magicant
  • Details Updated
Comment

bash 4.2.42 は .bash_profile や .bashrc にエラーがあっても終了しないようだ。 zsh 5.0.2 は .zprofile にエラーがあっても終了しないようだ。

2013-02-17 18:30 Updated by: magicant
  • Ticket Close date is changed to 2013-02-17 18:30
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
Comment

r3204r3205 で対応

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login